# Copyright (c) 2007 SIEGE Development Team
# All rights reserved.
#
# This file is part of libSIEGE.
#
# This software is copyrighted work licensed under the terms of the
# 2-clause BSD license. Please consult the file "license.txt" for
# details.
#
# If you did not recieve the file with this program, please email
# Tim Chas <darkuranium@gmail.com>.

from siege.common cimport *

cdef extern from "siege/graphics/trail.h":
    struct SGTrail:
        SGuint numpoints
        
        float* xpoints
        float* ypoints
        
        SGuint maxpoints
    
    SGTrail* sgTrailCreate(SGuint maxpoints)
    void sgTrailDestroy(SGTrail* trail)
    
    void sgTrailAddPoint2f(SGTrail* trail, float x, float y)
    void sgTrailAddBreak(SGTrail* trail)
    
    void sgTrailDraw(SGTrail* trail)
